> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get trades activity list

> GET /projects/{projectId}/scenarios/{scenarioId}/trades/activity-list



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))


### Query parameters

- **filterId** (array[integer(int64)])

- **activityCodeFilter** (array[integer(int64)])

- **dataDate** (string)

- **activityColumns** (array[string])



## Responses
### 200
OK

#### Body: */* (array[object])
- **activityCodeId** (integer(int64))

- **activityCodeName** (string)

- **activities** (array[object])



[Powered by Bump.sh](https://bump.sh)
